Speech to text

cohere-transcribe-03-2026

Cohere batch transcription. Language is required.

Native waveform: 14 languages: ar, de, el, en, es, fr, it, ja, ko, nl, pl, pt, vi, zh.. Live price and availability are on GET /v1/models/cohere-transcribe-03-2026.

  • A language code is required.

Parameters

FieldTypeDescription
params.languageRequiredstringISO 639-1 code. Required. ['ar', 'de', 'el', 'en', 'es', 'fr', 'it', 'ja', 'ko', 'nl', 'pl', 'pt', 'vi', 'zh']
params.response_format
Default json
stringjson returns the transcript in result.text. verbose_json also returns language and duration.

Example

curl https://api.pascalai.co/v1/speech-to-text \
  -H "Authorization: Bearer $PASCAL_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -F model=cohere-transcribe-03-2026 \
  -F params='{"language":"en"}' \
  -F file=@input.wav

curl https://api.pascalai.co/v1/speech-to-text/$JOB_ID \
  -H "Authorization: Bearer $PASCAL_API_KEY"